org.keycloak.storage

## Class UserStorageProviderModel

- java.lang.Object
- - org.keycloak.component.ComponentModel
  - - org.keycloak.component.PrioritizedComponentModel
    - - org.keycloak.storage.CacheableStorageProviderModel
      - - org.keycloak.storage.UserStorageProviderModel

- All Implemented Interfaces:
    Serializable

      public class UserStorageProviderModel
      extends CacheableStorageProviderModel

  Stored configuration of a User Storage provider instance.
  Author:
    Marek Posolda, Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `CacheableStorageProviderModel.CachePolicy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHANGED_SYNC_PERIOD`
    `static String` | `FULL_SYNC_PERIOD`
    `static String` | `IMPORT_ENABLED`
    `static String` | `LAST_SYNC`

    - ### Fields inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `CACHE_INVALID_BEFORE, CACHE_POLICY, ENABLED, EVICTION_DAY, EVICTION_HOUR, EVICTION_MINUTE, MAX_LIFESPAN`

    - ### Fields inherited from class org.keycloak.component.PrioritizedComponentModel

      `comparator, PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserStorageProviderModel()`
    `UserStorageProviderModel(ComponentModel copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChangedSyncPeriod()`
    `int` | `getFullSyncPeriod()`
    `int` | `getLastSync()`
    `boolean` | `isImportEnabled()`
    `void` | `setChangedSyncPeriod(int changedSyncPeriod)`
    `void` | `setFullSyncPeriod(int fullSyncPeriod)`
    `void` | `setImportEnabled(boolean flag)`
    `void` | `setLastSync(int lastSync)`

    - ### Methods inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `dailyEvictionBoundary, dailyTimeout, getCacheInvalidBefore, getCachePolicy, getEvictionDay, getEvictionHour, getEvictionMinute, getLifespan, getMaxLifespan, isEnabled, setCacheInvalidBefore, setCachePolicy, setEnabled, setEvictionDay, setEvictionHour, setEvictionMinute, setMaxLifespan, shouldInvalidate, weeklyTimeout`

    - ### Methods inherited from class org.keycloak.component.PrioritizedComponentModel

      `getPriority, parsePriority, setPriority`

    - ### Methods inherited from class org.keycloak.component.ComponentModel

      `contains, get, get, get, get, get, getConfig, getId, getName, getNote, getParentId, getProviderId, getProviderType, getSubType, hasNote, put, put, put, put, removeNote, setConfig, setId, setName, setNote, setParentId, setProviderId, setProviderType, setSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPORT_ENABLED

          public static final String IMPORT_ENABLED

      See Also:
        Constant Field Values

    - #### FULL_SYNC_PERIOD

          public static final String FULL_SYNC_PERIOD

      See Also:
        Constant Field Values

    - #### CHANGED_SYNC_PERIOD

          public static final String CHANGED_SYNC_PERIOD

      See Also:
        Constant Field Values

    - #### LAST_SYNC

          public static final String LAST_SYNC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserStorageProviderModel

          public UserStorageProviderModel()

    - #### UserStorageProviderModel

          public UserStorageProviderModel(ComponentModel copy)

  - ### Method Detail

    - #### isImportEnabled

          public boolean isImportEnabled()

    - #### setImportEnabled

          public void setImportEnabled(boolean flag)

    - #### getFullSyncPeriod

          public int getFullSyncPeriod()

    - #### setFullSyncPeriod

          public void setFullSyncPeriod(int fullSyncPeriod)

    - #### getChangedSyncPeriod

          public int getChangedSyncPeriod()

    - #### setChangedSyncPeriod

          public void setChangedSyncPeriod(int changedSyncPeriod)

    - #### getLastSync

          public int getLastSync()

    - #### setLastSync

          public void setLastSync(int lastSync)

Copyright © 2021 JBoss by Red Hat. All rights reserved.